Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.proxy
Class BasicProxyTrustVerifier

    java.lang.Object
      com.sun.jini.proxy.BasicProxyTrustVerifier

All Implemented Interfaces:
  Serializable, TrustVerifier

public final class BasicProxyTrustVerifier
extends Object
implements TrustVerifier, Serializable

A basic trust verifier for proxies. This trust verifier is used to verify that object passed to its `isTrustedObject` method is equivalent in trust, content, and function to the known trusted object that the trust verifier is constructed with. This trust verifier is typically returned by an implementation of the `ServerProxyTrust.getProxyVerifier` method.

Since:
  2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.jini.security.TrustVerifier
`TrustVerifier.Context`

Constructor Summary
`BasicProxyTrustVerifier(Object proxy)` Creates a trust verifier containing the specified trusted proxy.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Verifies trust in a proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicProxyTrustVerifier

    public BasicProxyTrustVerifier(Object proxy)

  Creates a trust verifier containing the specified trusted proxy.

Parameters:
  `proxy` - the trusted proxy
Throws:
  `IllegalArgumentException` - if the specified proxy is not an instance of `RemoteMethodControl` or `TrustEquivalence`

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)

  Verifies trust in a proxy. Returns `true` if and only if the specified object is an instance of `RemoteMethodControl` and invoking the `checkTrustEquivalence` method on a proxy that is this verifier's proxy with the same method constraints of the specified object, passing the specified object returns `true`.

  Specified by:
    `isTrustedObject` in interface `TrustVerifier`
  Parameters:
    `obj` - the object in which to verify trust
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object is known to be trusted to correctly implement its contract; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved